已解答
发布

Let’s Encrypt client install failed, Please try again!
Reading package lists… Done
Building dependency tree
Reading state information… Done
ca-certificates is already the newest version.
ca-certificates set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
./addons.sh: line 141: pip: command not found
~/oneinstack
安装完python-pip 也是出错!
Requirement already satisfied (use –upgrade to upgrade)
这个提示 
哎 都Linux不懂

5 答案

发布

还是建议群主返回之前的安装模式吧!

#1
发布
管理员 2016-11-14
    pkgList="gcc dialog augeas-libs openssl openssl-devel libffi-devel redhat-rpm-config ca-certificates python python-devel python-virtualenv python-tools python-pip"
    for Package in ${pkgList}; do
      yum -y install ${Package}
    done
#2
发布

 
hey ,群主,请见一位网友之前发现的问题:用的是certbot,而没有选择用certbot-auto,造成无法智能化的与官方释放版同步,故用certbot-auto才是最好的选择,它足够智能。
letsencrypt 新版certbot申请证书 错误
$ sudo yum install epel-release$ sudo yum install certbot
certbot certonly –webroot -w /home/wwwroot/example -d example.com
但是之后就弹出了这个错误:
WARNING:certbot.cli:You are running with an old copy of certbot that does not receive updates, and is less reliable than more recent versions.
We recommend upgrading to the latest certbot-auto script, or using native OS packages.

 
 
 
 
 

#3
发布
管理员 2016-11-16

重新下载addons.sh,如有问题,方便请私信ip密码谢谢!

cd oneinstack
rm -rf addons.sh vhost.sh
wget -c mirrors.linuxeye.com/oneinstack/addons.sh
wget -c mirrors.linuxeye.com/oneinstack/vhost.sh
chmod +x *.sh
#4
发布

老大,自己手动安装了Let’s Encrypt客户端certbot-auto,其安装成功了,但建立SSL虚拟主机的时候:Do you want to setup SSL under Nginx? [y/n]: y;后面并不出现如下选项了:之前是可以的,请问是怎么回事?能否支持以前那种模式呢?即以addons.sh和自己手动安装certbot-auto均会出现如下选择项呢?
Do you want to use a Let’s Encrypt certificate? [y/n]:
 
谢谢

 
 
 
 

#5

请登录或者 注册 来提交答案